Content-type: text/html

# OGGCUT

Section: User Manuals (1)
Updated: JAN 2010
Index Return to Main Contents

## NAME

oggCut - extracts parts of an ogg file (.ogv, .ogg and .oga)

## SYNOPSIS

oggCut [options] inputfile outputfile

## DESCRIPTION

oggCut creates a new ogg file named outputfile as a subpart of the original file named inputfile

oggCut is able to cut video (theora) only files, audio (vorbis) only files or files with both video and audio streams.

The start and end time for the cut area must be given in milliseconds with the options -s and -e.

As a video stream consists of I-frames (which are full pictures) and P-frames (which are delta pictures to the leading I-frame) the oggCut algorithm searches for the first I-frame. If a video file would start with a p-frame, the player is not able to interpret this picture, as the leading I-frame (on where it is based) is not available. oggCut starts the I-frame search at the start time given by the -s option. So expect a shorter video time than the calculated seconds for the new file.

oggCut does not do any reencoding, therefore the output quality is completely the same as from the input file.

For those involved into the ogg container format: The file is cut on packet basis, not on page basis.

There is another tool called oggCut out in the internet with a different synopis. This one has not been written by the author of this tool you are actually using.

## OPTIONS

-s
  Cut start position in ms. If the input file is a video file, the cut area starts with the next keyframe found. Default: 0

  Example: -s 5000

-l
  Length of the cut area in ms. If -e is also given, the length is ignored.

  Example: -l 10000

-e
  Cut end position in ms. If -l is also used, the end position is prefered. If the end position is set to -1, the end of the stream is assumed.

  Default: -1

  Example: -e 20000

## EXAMPLE

oggCut -s 1000 -e 21000 myVideo.ogv myOutput.ogv

Creates a new video called myOutput.ogv from the video myVideo.ogv starting after 1 second ending after 21 seconds

## AUTHOR

Joern Seger <yorn at gmx dot net>

## SEE ALSO

oggCat(1), oggJoin(1), oggSplit(1), oggTranscode(1), oggSlideshow(1), oggThumb(1), oggSilence(1)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
EXAMPLE
AUTHOR
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 09:28:30 GMT, January 10, 2010